1

I updated Woocommerce to the latest version, 3.3.3. I then used the system status report to find outdated templates within my custom theme. I updated all of them, and am now having issues.

When an order is processed, either two issues comes up. The card is declined for unsuccessful orders, or it gives an Internal Server Error notice if the order processes through the payment gateway.

I went back through, and double checked all of the template files to ensure that I didn't update any improperly. They have all been done correctly.

Next, I switched to the twentyseventeen theme, and disabled all plugins except Woocommerce and my payment gateway. After doing this, I was able to process orders normally. I started reactivating plugins to see if it was one of those.

I have yet to come up with an answer as to why I can't process orders normally. I'm assuming it is a theme issue, but the only updates were to template files. Are there any ways to find if a template file is not operating properly, and this is causing problems?

closed as off-topic by Nathan Johnson, EAMann Mar 3 '18 at 0:21

This question appears to be off-topic. The users who voted to close gave this specific reason:

If this question can be reworded to fit the rules in the help center, please edit the question.

0

Your theme was supporting outdated version of woocommerce. if you are updating woocommerce then you will have to update your theme too.

if you are not updating your theme try create your child theme and include woocommerce support files which is outdated and was supporting your current version of theme.

By the way your issue will be resolve when you update you theme to latest version.

  • The issue I am facing is that the theme is completely custom. I have updated the template files, and the status report indicates that they are all up to date. It's definitely a theme issue, as I have changed to a standard wordpress theme, twentyseventeen, and left all plugins on. In this theme, there were no issues. I'm unsure how to find the issue with this custom theme now. – user3490954 Mar 1 '18 at 15:06
  • Most probabely the issue, either have custom code in your woocommerce plugin or previous developer have fetch the woocommerce function in your theme, which is no longer supported now. find and match woocommerce plugins custom code first, if the plugin was hard coded directly. then check the theme files ( specially function.php) – Atif Aqeel Mar 1 '18 at 15:17

Not the answer you're looking for? Browse other questions tagged or ask your own question.